import { default as IConvert } from './convertInterface';
import { LinearGradient, StyleVar } from '../type';

export default class LinearGradientConvert implements IConvert<LinearGradient> {
    private lengthConvert;
    constructor();
    compare(v1?: LinearGradient, v2?: LinearGradient): boolean;
    toString(value?: LinearGradient, styleVarMap?: Record<string, StyleVar.Desc>): string | undefined;
    toStyle(value?: string): LinearGradient | undefined;
}
